Can't setup Rails


#1

So, I’m trying to setup Rails a la Michael Hartl’s Ruby on Rails tutorial and I’m trying to run the rails server on the cloud IDE.

I type: rails server -b $IP -p$PORT
and I get the following:

=> Booting WEBrick
=> Rails 4.2.0 application starting in development on http://0.0.0.0:8080
=> Run rails server -h for more startup options
=> Ctrl-C to shutdown server
/usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:121: warning: constant ::Fixnum is deprecated
/usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:121: warning: constant ::Bignum is deprecated
Exiting
/usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>': stack level too deep (SystemStackError) from /usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:131:inblock (2 levels) in class:Numeric
from /usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>' from /usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:131:inblock (2 levels) in class:Numeric
from /usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>' from /usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:131:inblock (2 levels) in class:Numeric
from /usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>' from /usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:131:inblock (2 levels) in class:Numeric
from /usr/local/rvm/gems/ruby-2.4.0/gems/activesupport-4.2.0/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>' ... 5009 levels... from /home/ubuntu/workspace/hello_app/bin/spring:16:inrequire’
from /home/ubuntu/workspace/hello_app/bin/spring:16:in <top (required)>' from bin/rails:3:inload’
from bin/rails:3:in `’

It looks like it works, and then something happens.

How can I make this NOT happen? Or is this not a bad thing?